#ifndef NNM_STUB_H
#define NNM_STUB_H

#include <stdio.h>
#include "Nnm.h"

#define NNMSERVER "nnmsrv"

extern void NnmStubInit(FILE *op, FILE *ip);
extern void NnmStubSetDictionaryFile(char *fn, int user);
extern void NnmStubRecognizeCharInfo(NnmRawCharInfoRec *charInfo,
  int num_cands);
extern void NnmStubSampleAppendFile(NnmRawCharInfoRec *rawCharInfo,
  ulong code, char *fn);
extern ulong NnmStubResultRecognizeCharInfo(ulong *cands, int num_cands,
  NnmFeatureRec *fv);
extern void NnmStubUpdateUserDictionary(long code, NnmFeatureRec *fv);

#endif
